ffluency {memnet} | R Documentation

## Fast verbal fluency generator

### Description

Generates multiple verbal fluency sequences using one_ffluency.

### Usage

    ffluency(adjlist, n, pjump = 0, type = 0L, string = FALSE)

### Arguments

`adjlist` | a list containing row indices of nodes adjacent node to the ith node as created by get_adjlist.
`n` | integer vector specifying for each sequence the maximum numbers of productions. Function may return fewer than `n`.
`pjump` | numeric specifying the probability of a jump.
`type` | integer controlling network start and jump nodes. For `type = 0` the process selects the start node and any jump nodes proportional to their degree. For `type = 1` the process selects a random node to serve both as the start node and the jump node. For `type = 2` the process selects the start and any jump nodes uniformly at random.
`string` | logical specifying whether the output should be of mode character.

### Details

For details see one_ffluency.

### Value

List of character vectors containing the indices of the fluency productions. Indices refer to the row of the item in the original adjacency matrix. See get_adjlist.

### References

Wulff, D. U., Hills, T., & Mata, R. (2018, October 29). Structural differences in the semantic networks of younger and older adults. https://doi.org/10.31234/osf.io/s73dp

Goni, J., Martincorena, I., Corominas-Murtra, B., Arrondo, G., Ardanza- Trevijano, S., & Villoslada, P. (2010). Switcher-random-walks: A cognitive- inspired mechanism for network exploration. International Journal of Bifurcation and Chaos, 20(03), 913-922.

### Examples

    # generate watts strogatz graph
    network = grow_ws(n = 100, k = 10)

    # create verbal fluency sequences
    ffluency(get_adjlist(network), c(10, 10))

    # create verbal fluency sequence
    # with high jump probability
    ffluency(get_adjlist(network), c(10, 10), pjump = .5)

[Package memnet version 0.1.0 Index]